# -*- coding: utf-8 -*-
from item import *

# --------- S --------------
holy_water = Wand(
    name = JTxt('Holy Water','blue', True, underlined = True),
    lore = Lore([
        JPar(['Water touched by God ','to cleanse his sons sins.','\\n']),
        JPar(['(Removes debufs from players.)','\\n'], italic = True) ]),
    model = '1301',
    rank = 's',
    cost = 80,
    element = 'water'
    )
tornado = Wand(
    name = JTxt('Tornado','gray', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore.','This is some more.','\\n']),
        JPar(['(Creates a tornado that pulls and damages enemies.)','\\n'], italic = True) ]),
    model = '1103',
    rank = 's',
    cost = 105,
    element = 'air'
    )
mini_sun = Wand(
    name = JTxt('Mini Sun','gold', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore.','This is some more.','\\n']),
        JPar(['(Burns and pulls enemies in a radious. ','It finally colapses.)','\\n'], italic = True) ]),
    model = '1201',
    rank = 's',
    cost = 110,
    element = 'fire',
    use = 'instant'
    )
void_tear = Wand(
    name = JTxt('Void Tear','dark_purple', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore.','This is some more.','\\n']),
        JPar(['(Creates a void tear that pulls and sucks enemies)','\\n'], italic = True) ]),
    model = '1401',
    rank = 's',
    cost = 130,
    stats = Stats([ Stat('curse', 2) ]),
    element = 'dark'
    )
chickifier = Wand(
    name = JTxt('Chickifier','dark_purple', True, underlined = True),
    lore = Lore([
        JPar(['What comes first ','the egg or the chicken?','\\n']),
        JPar(['(Truns an entity to a chicken. ','And chickens ...)','\\n'], italic = True) ]),
    model = '1401',
    rank = 's',
    cost = 120,
    stats = Stats([ Stat('curse', 2) ]),
    element = 'dark',
    use = 'instant'
    )
zeus_discharge = Wand(
    name = JTxt('Zeus Discharge','yellow', True, underlined = True),
    lore = Lore([
        JPar(['Anger the god of thunder ','and pulverize anyithing arround.','\\n']),
        JPar(['(Cast a random sequence of thunder.)','\\n'], italic = True) ]),
    model = '1601',
    rank = 's',
    cost = 100,
    element = 'thunder'
    )

s = [holy_water, tornado, mini_sun, void_tear, chickifier, zeus_discharge]

# --------- A --------------
spring_water = Wand(
    name = JTxt('Spring Water','blue', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Gives regeneration in an area.)','\\n'], italic = True) ]),
    model = '1301',
    rank = 'a',
    cost = 65,
    element = 'water'
    )
burning_rage = Wand(
    name = JTxt('Burning Rage','gold', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Gives strength in an area.)','\\n'], italic = True) ]),
    model = '1201',
    rank = 'a',
    cost = 65,
    element = 'fire'
    )
venom_gass = Wand(
    name = JTxt('Venom Gass','dark_green', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Creates a cloud of poisonous gass.)','\\n'], italic = True) ]),
    model = '1501',
    rank = 'a',
    cost = 85,
    element = 'earth'
    )
metal_skin = Wand(
    name = JTxt('Metal Skin','dark_green', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Gives resistance in an area.)','\\n'], italic = True) ]),
    model = '1501',
    rank = 'a',
    cost = 55,
    element = 'earth'
    )
bee_wand = Wand(
    name = JTxt('Bee Wand','dark_purple', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Shoots angry homing bees.)','\\n'], italic = True) ]),
    model = '1401',
    rank = 'a',
    cost = 25,
    stats = Stats([ Stat('curse', 1.5) ]),
    element = 'dark',
    use = 'click_keep'
    )
electric_charge = Wand(
    name = JTxt('Electric Charge','yellow', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Leaves a charged point in space.)','\\n'], italic = True) ]),
    model = '1601',
    rank = 'a',
    cost = 95,
    element = 'thunder'
    )

a = [spring_water, burning_rage, venom_gass, metal_skin, bee_wand, electric_charge]

# --------- B --------------
ice_snake = Wand(
    name = JTxt('Ice Snake','blue', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Freezes and damges enemies in a line.)','\\n'], italic = True) ]),
    model = '1301',
    rank = 'b',
    cost = 40,
    use = 'instant',
    element = 'water'
    )
air_field = Wand(
    name = JTxt('Air Field','gray', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Creates a protective field of air.)','\\n'], italic = True) ]),
    model = '1101',
    rank = 'b',
    cost = 60,
    element = 'air',
    use = 'instant'
    )
explosive_fire = Wand(
    name = JTxt('Explosive fire','gold', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Uncontrolled explosion that damages enemies.)','\\n'], italic = True) ]),
    model = '1201',
    rank = 'b',
    cost = 65,
    element = 'fire'
    )
fire_repelant = Wand(
    name = JTxt('Fire Repelant','gold', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Gives fire resistance in an area.)','\\n'], italic = True) ]),
    model = '1201',
    rank = 'b',
    cost = 45,
    element = 'fire',
    bought = True
    )
metoer_rain = Wand(
    name = JTxt('Meteor Rain','dark_green', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Meteors rain down on your enemies.)','\\n'], italic = True) ]),
    model = '1501',
    rank = 'b',
    cost = 75,
    element = 'earth'
    )
dark_curse = Wand(
    name = JTxt('Dark Curse','dark_purple', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Curses enemies in an area draining their live.)','\\n'], italic = True) ]),
    model = '1401',
    rank = 'b',
    cost = 60,
    stats = Stats([ Stat('curse', 1.25) ]),
    element = 'dark'
    )

b = [ice_snake, air_field, explosive_fire, fire_repelant, metoer_rain, dark_curse]

# --------- C --------------
freeze = Wand(
    name = JTxt('Freeze','blue', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Freezes enemies in a radious.)','\\n'], italic = True) ]),
    model = '1301',
    rank = 'c',
    cost = 60,
    element = 'water'
    )
dash = Wand(
    name = JTxt('Dash','gray', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Instantly dash to a where the spell hits the ground.)','\\n'], italic = True) ]),
    model = '1101',
    rank = 'c',
    cost = 35,
    element = 'air'
    )
molotov_fire = Wand(
    name = JTxt('Molotov Fire','gold', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Burns enemies in a radious.)','\\n'], italic = True) ]),
    model = '1201',
    rank = 'c',
    cost = 60,
    element = 'fire'
    )
earth_shield = Wand(
    name = JTxt('Earth Shield','dark_green', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Sumons 4 spining stones to protect you.)','\\n'], italic = True) ]),
    model = '1501',
    rank = 'c',
    cost = 55,
    element = 'earth'
    )
weakening = Wand(
    name = JTxt('Weakening','dark_purple', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Gives weakness to enemies.)','\\n'], italic = True) ]),
    model = '1401',
    rank = 'c',
    cost = 50,
    stats = Stats([ Stat('curse', 1) ]),
    element = 'dark',
    bought = True
    )
zaper = Wand(
    name = JTxt('Zaper','yellow', True, underlined = True),
    lore = Lore([
        JPar(['Pew, pew ... ','\\n']),
        JPar(['(Zaps an enemy.)','\\n'], italic = True) ]),
    model = '1601',
    rank = 'c',
    cost = 20,
    element = 'thunder',
    use = 'instant',
    bought = True
    )


c = [freeze, dash, molotov_fire, earth_shield, weakening, zaper]

# --------- D --------------
ice_wall = Wand(
    name = JTxt('Ice Wall','blue', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(A wall of ice is temporally casted from the spell.)','\\n'], italic = True) ]),
    model = '1301',
    rank = 'd',
    cost = 40,
    element = 'water',
    bought = True
    )
wind_push = Wand(
    name = JTxt('Wind Push','gray', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Pushes the enemies away from the spell.)','\\n'], italic = True) ]),
    model = '1101',
    rank = 'd',
    cost = 45,
    element = 'air',
    bought = True
    )
fire_flames = Wand(
    name = JTxt('Fire Flames','gold', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Burns enemies in fornt of the caster.)','\\n'], italic = True) ]),
    model = '1201',
    rank = 'd',
    cost = 4,
    element = 'fire',
    use = 'click_keep',
    bought = True
    )
bear_trap = Wand(
    name = JTxt('Bear Trap','dark_green', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Puts and triggers a bear trap.)','\\n'], italic = True) ]),
    model = '1501',
    rank = 'd',
    cost = 50,
    element = 'earth',
    bought = True
    )
egg_wand = Wand(
    name = JTxt('Egg Wand','dark_purple', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Does stuff, sometimes.)','\\n'], italic = True) ]),
    model = '1401',
    rank = 'd',
    cost = 40,
    stats = Stats([ Stat('curse', 0.5) ]),
    element = 'dark',
    use = 'instant'
    )
charger = Wand(
    name = JTxt('Charger','yellow', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['(Gives speed in an area.)','\\n'], italic = True) ]),
    model = '1601',
    rank = 'd',
    cost = 30,
    element = 'thunder',
    bought = True
    )

d = [ice_wall, wind_push, fire_flames, bear_trap, egg_wand, charger]

wands = s + a + b + c + d
